%define upstream_name    Log-Handler
%define upstream_version 0.80

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    A simple log file handler
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(UNIVERSAL)
BuildArch:  noarch

%description
This module is just a simple object oriented log file handler and very easy to
use.  It's possible to define a log level for your programs and control the
amount of informations that will be logged to the log file. In addition it's
possible to configure how you wish to open the log file - transient or
permanent - and lock and unlock the log file by each write operation. If you
wish you can assign the handler to check the inode of the log file (not on
Windows). That could be very useful if a rotate mechanism moves and zip the log
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.800.0-2.mga4
+ Revision: 539281
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.800.0-1.mga4
+ Revision: 491719
- update to 0.80

* Sun Sep 08 2013 sander85 <sander85> 0.790.0-1.mga4
+ Revision: 476262
- update to 0.79

* Fri Jun 07 2013 jquelin <jquelin> 0.780.0-1.mga4
+ Revision: 439483
- update to 0.78

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-2.mga3
+ Revision: 369223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.760.0-1.mga3
+ Revision: 342363
- update to 0.76
- adding missing buildrequires:

* Tue Jun 05 2012 jquelin <jquelin> 0.750.0-1.mga3
+ Revision: 255738
- fix url
- update to 0.75

* Tue Feb 22 2011 jquelin <jquelin> 0.710.0-1.mga1
+ Revision: 56614
- update to 0.71

* Sat Jan 22 2011 jquelin <jquelin> 0.690.0-1.mga1
+ Revision: 32139
- mageia rebuild
- imported package perl-Log-Handler

